AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- DoubleLinkedNode

## Index

### Constructors

- constructor

### Properties

- key
- nextNode
- prevNode

## Constructors

### constructor

- new DoubleLinkedNode(keyVal?: string): DoubleLinkedNode

- - Defined in cache/src/Utils/CacheList.ts:17

  #### Parameters

  - ##### Optional keyVal: string

  #### Returns DoubleLinkedNode

## Properties

### key

key: string

- Defined in cache/src/Utils/CacheList.ts:15

### nextNode

nextNode: DoubleLinkedNode | null

- Defined in cache/src/Utils/CacheList.ts:17

### prevNode

prevNode: DoubleLinkedNode | null

- Defined in cache/src/Utils/CacheList.ts:16